Bug 238440 - CVE-2007-2231 Directory traversal in dovecot with zlib plugin
Summary: CVE-2007-2231 Directory traversal in dovecot with zlib plugin
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: dovecot   
(Show other bugs)
Version: 5
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Tomas Janousek
QA Contact:
URL: http://www.dovecot.org/list/dovecot-n...
Whiteboard: impact=low,source=cve,public=20070328...
Keywords: Security
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-04-30 14:26 UTC by Lubomir Kundrak
Modified: 2014-01-21 22:58 UTC (History)
2 users (show)

Fixed In Version: dovecot-1.0-0.beta8.4.fc5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-04 09:04:57 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Lubomir Kundrak 2007-04-30 14:26:37 UTC
+++ This bug was initially created as a clone of Bug #238439 +++

Description of problem:

In case zlib plugin is enabled, dovecot didn't check if mbox path
contained ".." which could be exploited to read compressed mailboxes
of other users.

As the dovecot-news post referred to in URL field states, this is an
unlikely scenario, as it moreover needs the files to be readable by
UID the dovecot is running under after the malicious user logs in.

Version-Release number of selected component (if applicable):

        Does not Affect: FC6
        Affects: FC5
        Affects: RHEL4
        Affects: RHEL5

Comment 1 Fedora Update System 2007-05-08 02:20:49 UTC
dovecot-1.0-0.beta8.4.fc5 has been pushed for fc5, which should resolve this issue.  If these problems are still present in this version, then please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.